> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /courtlistener/oral-arguments/search

> Search oral argument recordings by full-text query, court, judge, case name, docket and date

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/courtlistener/oral-arguments/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/courtlistener/oral-arguments/search:
    post:
      tags:
        - /courtlistener
      summary: /courtlistener/oral-arguments/search
      description: >-
        Search oral argument recordings by full-text query, court, judge, case
        name, docket and date


        **Price:** 1 credit per 20 results
      operationId: __api_courtlistener_oral_arguments_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CourtlistenerOralArgumentsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourtlistenerOralArgumentResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourtlistenerOralArgumentsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        q:
          anyOf:
            - type: string
            - type: 'null'
        case_name:
          anyOf:
            - type: string
            - type: 'null'
        judge:
          anyOf:
            - type: string
            - type: 'null'
        court:
          anyOf:
            - type: string
            - type: 'null'
        docket_number:
          anyOf:
            - type: string
            - type: 'null'
        argued_after:
          anyOf:
            - type: string
            - type: 'null'
        argued_before:
          anyOf:
            - type: string
            - type: 'null'
        order_by:
          $ref: '#/components/schemas/CourtlistenerOralArgumentsOrder'
          default: score desc
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    CourtlistenerOralArgumentResult:
      properties:
        '@type':
          type: string
          default: CourtlistenerOralArgumentResult
        id:
          type: integer
        case_name:
          anyOf:
            - type: string
            - type: 'null'
        case_name_full:
          anyOf:
            - type: string
            - type: 'null'
        court:
          anyOf:
            - type: string
            - type: 'null'
        court_id:
          anyOf:
            - type: string
            - type: 'null'
        court_citation_string:
          anyOf:
            - type: string
            - type: 'null'
        docket_id:
          anyOf:
            - type: integer
            - type: 'null'
        docket_number:
          anyOf:
            - type: string
            - type: 'null'
        judge:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: integer
            - type: 'null'
        file_size_mp3:
          anyOf:
            - type: integer
            - type: 'null'
        download_url:
          anyOf:
            - type: string
            - type: 'null'
        local_path:
          anyOf:
            - type: string
            - type: 'null'
        sha1:
          anyOf:
            - type: string
            - type: 'null'
        snippet:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        pacer_case_id:
          anyOf:
            - type: string
            - type: 'null'
        panel_ids:
          items:
            type: integer
          type: array
          default: []
        argued_at:
          anyOf:
            - type: integer
            - type: 'null'
        reargued_at:
          anyOf:
            - type: integer
            - type: 'null'
        reargument_denied_at:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourtlistenerOralArgumentsOrder:
      type: string
      enum:
        - score desc
        - dateArgued desc
        - dateArgued asc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````